Skip to content

List suppressed addresses with cursor pagination

GET
/v1/suppressions
curl --request GET \
--url 'https://your-notavia-host/v1/suppressions?reason=HardBounce&limit=25' \
--header 'Authorization: Bearer <token>'

Returns a cursor-paginated list of suppressed addresses for the authenticated environment. Requires a full-access API key.

address
string

Filter to entries whose address equals this value.

reason
string
Allowed values: HardBounce Complaint ManualAdd

Filter by suppression reason (case-insensitive). Note these filter values are the enum names, distinct from the snake_case values returned in the reason response field.

limit
integer
default: 25 >= 1 <= 100
cursor
string

Paginated list of suppressed addresses.

Media type application/json
object
data
Array<object>
object
id
string format: uuid
address
string
reason
string
Allowed values: hard_bounce complaint manual_add
source
string
Allowed values: provider manual
diagnostic_detail
string
nullable
triggering_notification_id
string format: uuid
nullable
suppressed_at
string format: date-time
has_more
boolean
next_cursor
string
nullable
Example
{
"data": [
{
"reason": "hard_bounce",
"source": "provider"
}
]
}

Validation or request error.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}

Missing or invalid credentials.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}

Credentials do not have the required scope.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}